GlueGen: com.jogamp.gluegen.ConstantDefinition.JavaExpr Class Reference

GlueGen v2.6.0-rc-20250722 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
com.jogamp.gluegen.ConstantDefinition.JavaExpr Class Reference

A valid java expression, including its result type, usually generated from a native [C] expression, see `JavaExpr#create(ConstantDefinition)`. More...

Collaboration diagram for com.jogamp.gluegen.ConstantDefinition.JavaExpr:

## Public Member Functions

| JavaExpr (final String javaExpression, final CNumber resultType)

## Static Public Member Functions

static JavaExpr | compute (final ConstantDefinition constDef, final Map< String, ConstantDefinition.JavaExpr > constMap)
| Computes a valid `java expression` based on the given `ConstantDefinition`, which may either be a single `CNumber`, see `ConstantDefinition#getNumber()`, or represents a native expression, see `ConstantDefinition#getExpr()`. More...

## Public Attributes

final String | javaExpression
final CNumber | resultType
final Number | resultJavaType
final String | resultJavaTypeName

## Detailed Description

A valid java expression, including its result type, usually generated from a native [C] expression, see `JavaExpr#create(ConstantDefinition)`.

Definition at line 164 of file ConstantDefinition.java.

## Constructor & Destructor Documentation

## ◆ JavaExpr()

com.jogamp.gluegen.ConstantDefinition.JavaExpr.JavaExpr | ( | final String | javaExpression,
|  | final CNumber | resultType
| ) |  |

Definition at line 169 of file ConstantDefinition.java.

Here is the caller graph for this function:

## Member Function Documentation

## ◆ compute()

static JavaExpr com.jogamp.gluegen.ConstantDefinition.JavaExpr.compute | ( | final ConstantDefinition | constDef,
|  | final Map< String, ConstantDefinition.JavaExpr > | constMap
| ) |  |

static

Computes a valid `java expression` based on the given `ConstantDefinition`, which may either be a single `CNumber`, see `ConstantDefinition#getNumber()`, or represents a native expression, see `ConstantDefinition#getExpr()`.

Definition at line 191 of file ConstantDefinition.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## ◆ javaExpression

final String com.jogamp.gluegen.ConstantDefinition.JavaExpr.javaExpression

Definition at line 165 of file ConstantDefinition.java.

## ◆ resultJavaType

final Number com.jogamp.gluegen.ConstantDefinition.JavaExpr.resultJavaType

Definition at line 167 of file ConstantDefinition.java.

## ◆ resultJavaTypeName

final String com.jogamp.gluegen.ConstantDefinition.JavaExpr.resultJavaTypeName

Definition at line 168 of file ConstantDefinition.java.

## ◆ resultType

final CNumber com.jogamp.gluegen.ConstantDefinition.JavaExpr.resultType

Definition at line 166 of file ConstantDefinition.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/ConstantDefinition.java